freedombone-mirrors(1)

NAME
freedombone-mirrors - Host git repos which the project depends on

SYNOPSIS
freedombone-mirrors --sync [domain/url] -p [friends mirrors password] -m [my mirrors password] --new [yes|no] --app [app name]

DESCRIPTION
This project depends upon a number of external git repositories - currently mostly on Github. What if those repositories were to change, or go away, or be blocked in some manner which wasn't easy to work around? The mirrors command helps you to be more independent from git hosting services by hosting the same repos on your own box and making them available to other users with appropriate authentication.

USAGE
To create an initial set of mirrors, or sync it with the default repos:
    freedombone-mirrors You can also mirror just a single app with:
    freedombone-mirrors --app [app name] You can find the password for your mirrors either via the control panel, or with:
    grep "MY_MIRRORS_PASSWORD" /root/freedombone.cfg To create a mirrors from a friend's Freedombone server:
    freedombone-mirrors --sync [friend's server domain] -p [password] If you made an existing mirrors, but want to make a new one based on a different friend's server then add the --new option:
    freedombone-mirrors --sync [friend's server domain] -p [password] --new yes

BUGS
Report bugs at https://github.com/bashrc/freedombone/issues

AUTHOR
Bob Mottram <bob@freedombone.net>
PGP/GPG: EA982E38
Web: https://freedombone.net